body{
    background-color: whitesmoke;
    text-align: center;
    line-height: 160%; 
    font-size: 16px;  
    margin: 0;  
    font-family: "helvetica", "open sans";
}

.mapContainer {
    width:50vw; height:100vh; margin: 20px auto;
}

.leaflet-container{ background: whitesmoke; border: 1px black solid; }

p { font-size: 20px; font-family: Georgia, "Sans-serif", serif;}
span { font-size: 20px; font-family: Georgia, "Sans-serif", serif;}
article { text-align: left; width: 50%; margin: 75px auto 50px auto;}
h1 { font-size: 52px; margin: 40px 10px 30px 10px; font-weight: bold; line-height: 56px;}
h2 { font-size: 30px; margin: 10px 10px 30px 10px; font-weight: bold; font-weight: normal; line-height: 36px;}
h3 { font-size: 22px; margin: 10px 10px 10px 10px; font-weight: normal; line-height: 28px;}

a:link { color: #141DFF; text-decoration: none;}
a:visited{ color: #141DFF; }
a:hover {text-decoration: underline; background-color: #98ffff;}

/* The navigation bar */
.navbar {
    overflow: hidden;
    background-color: #0e005e;
    top: 0; /* Position the navbar at the top of the page */
    width: 100%; /* Full width */
    z-index: 999;
    border-style: solid;
    border-width: 0px;
    border-bottom-width: 2px;
    border-bottom-color: #0e005e;
}
.navbar a:hover {
    background: white;
    color: #0e005e;
}
/* Links inside the navbar */
.navbar a {
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 6px;
    text-decoration: none;
    font-size: 25px;
    font-weight: bold;
    font-family: "helvetica", "open sans"; 
}

::-moz-selection { /* Code for Firefox */
    background: #98ffff;
    color: #0e005e;
}
::selection {
    background: #98ffff;
    color: #0e005e;
}

.menuContainer{
    z-index:999;
    position:fixed;
    bottom:0;
    right:0;
    width: 20%;
    padding-left: 10;
    padding-right: 3px;
}

.menu{
    width: 100%;
    background-color: rgba(255,255,255,0.9);
    border: 1px black solid;
    margin-bottom: 0px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    -webkit-user-select: none;  /* Chrome all / Safari all */
    -moz-user-select: none;     /* Firefox all */
    -ms-user-select: none;      /* IE 10+ */
    user-select: none;
}

.menuHeaderContainer{
    background-color: rgb(240, 240, 240);
}

.menuHeaderContainer:hover{
    background-color: white;
    cursor: pointer;
}
tr.rowButton:hover{
    background-color: rgb(240, 240, 240);
    cursor: pointer;
}

.menuHeader{
    font-size: 16px;
    display:inline-flex;
    width: 100%;
}
.menuButton{
   text-align: right;
   font-weight: bold;
}

.menuItem{
    border-top: 1px solid gray;
    margin-bottom: 15px;
}

.filterMenuTable{
    width: 100%;
    border-collapse: collapse;
    display: table;
    font-size: 16px;
}
td.menuItemLabel {
    width: 30%;
}
tr {
    border-top: 1px solid rgb(220, 220, 220);
}
td {
    /* border: 1px solid gray; */
    padding: 10;
    text-align: middle;
}

.ui-widget-header {
    background-image:none;
    background-color:orange;
    text-align: center;
    margin: auto;
}
.ui-slider {
    margin: 10;
}
.ui-slider .ui-slider-handle {
    height: 15px;
    width: 1px;
    padding-right: 5px;
    padding-left: 5px;
    padding-top: 5px;
    border-color: black;
    border-radius: 5px;
    background-color: orangered;
}
.ui-slider:hover .ui-slider-handle:hover {
    cursor: w-resize;
}
.ui-widget{
    cursor: w-resize;
}

td img{
    display: none;
}

  .dropbtn {
    background-color: rgba(255, 166, 0, 0.8);
    color: black;
    padding: 10px;
    font-size: 16px;
    border: 1px rgb(220, 220, 220) solid;
    width: 100%;
  }

  .dropColorbtn {
    background-color: rgba(255, 166, 0, 0.8);
    color: black;
    padding: 10px;
    font-size: 16px;
    border: 1px rgb(220, 220, 220) solid;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    z-index: 3;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    text-align: left;
    border-collapse: collapse;
  }

  .dropdown-content tr{
      border-top: solid black 0px;
  }
  
  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }
  
  .dropdown-content a:hover {background-color: #ddd;}
  
  .dropdown:hover .dropdown-content {display: block;}
  
  .dropdown:hover .dropbtn {background-color: orange;}

  .checkboxContainer{
      padding: 10px;
      cursor: pointer;
  }
  .checkboxContainer:hover{
    background-color:white;
}
.checkboxContainer label{
    pointer-events:none;
    margin-left: 5px;
}
.checkboxContainer input{
    pointer-events:none;
}

.colorContainer{
    padding: 10px;
}
.colorContainer:hover{
  background-color:white;
}
.colorContainer label{
  pointer-events:none;
  margin-left: 5px;
}
input[type=color]{
    cursor: pointer;
}

.show {display: block;}

.myCSSClass {
    background: whitesmoke;
    opacity: 1;
    font-size: 14px;
    border: 1px solid black;
    text-align: center;
    width: 200px;
    overflow-wrap: break-word;
    white-space: pre-wrap;      /* CSS3 */   
    white-space: -moz-pre-wrap; /* Firefox */    
    white-space: -pre-wrap;     /* Opera <7 */   
    white-space: -o-pre-wrap;   /* Opera 7 */    
    word-wrap: break-word; 
    top: 100;
}
.leaflet-tooltip-top:before, 
.leaflet-tooltip-bottom:before, 
.leaflet-tooltip-left:before, 
.leaflet-tooltip-right:before {
    border: none !important;
}
.leaflet-top, .leaflet-bottom  {
    z-index: 1;
}
.leaflet-container .leaflet-control-attribution {
    background: none;
}

select{
    width: 50%;
    font-size: 16px;
}
option{
    padding: 2;
    margin-left: 2px;
}

/* modal */
.modal-content-3 {
    background-color:#003366;
    margin: 5% auto 15% auto;
    border: 1px solid black;
    width: 40%;
    text-align: center;
    user-select: none;
}
.modal-content-3 h1 {
    color: whitesmoke;
    margin: 10px auto 10px auto;
    font-weight: normal;
}
.row {
    display: flex;
}
.column {
    flex: 50%;
    padding: 10px;
    cursor: pointer;
    background-color: whitesmoke;
}
.column:hover {
    background-color:white;
}
.column div{
    font-size: 20px;
    -webkit-transition: all 0.75s ease-in-out;
    -moz-transition: all 0.75s ease-in-out;
    -o-transition: all 0.75s ease-in-out;
    transition: all 0.75s ease-in-out;
}
.column div.rotated {
    -webkit-transform : rotate(360deg); 
    -moz-transform : rotate(360deg); 
    -ms-transform : rotate(360deg); 
    -o-transform : rotate(360deg); 
    transform : rotate(360deg); 
}
.column p {
    font-size: 1.25em;
}
.closeButton{
    padding:5px 10px 0px 0px; 
    margin: 0px;
    cursor:pointer;
    float: right;
    font-size: 18px;
    font-weight: bold;
    color: whitesmoke;
}

.buttonContainer {
    display:flex; justify-content:center; padding:10px;
}
.buttonContainer button {
    padding: 10px;
    margin: 2.5px 10px;
    background-color: #0e005e;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
}

#backgroundColorPicker {
    opacity: 0;
    transition-property: opacity;
    transition-duration: 2s;
  }
  
  #backgroundColorPicker:hover {
    opacity:1;
  }


@media only screen and (max-width: 600px) {
    p { font-size: 16px; font-family: Georgia, "Sans-serif", serif;}
    span { font-size: 16px; font-family: Georgia, "Sans-serif", serif;}
    h1 { font-size: 48px; margin: 40px 10px 30px 10px; font-weight: bold; line-height: 54px;}
    h2 { font-size: 32px; margin: 10px 10px 30px 10px; font-weight: bold; font-weight: normal; line-height: 38px;}
    h3 { font-size: 18px; margin: 10px 10px 30px 10px; font-weight: normal; line-height: 24px;}
    article { text-align: left; width: 90%; margin: 0 auto;}

    .mapContainer {
        width:95vw; height:90vh; margin: 20px auto;
    }

    .menuContainer{
        z-index:999;
        position:fixed;
        top: initial;
        bottom: 0;
        width: 90%;
        padding-left: 10;
        padding-right: 10;
        margin: auto;
    }
    .modal-content-3 {
        width: 90%;
    }
}